Bug 35500 - [Gtk] Add private browing for plugins for Gtk too
Summary: [Gtk] Add private browing for plugins for Gtk too
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Plug-ins (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC OS X 10.5
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-02-28 13:03 PST by Holger Freyther
Modified: 2010-03-02 02:06 PST (History)
1 user (show)

See Also:


Attachments
Add private browsing for plugins to PluginViewGtk.cpp (3.09 KB, patch)
2010-02-28 13:11 PST, Holger Freyther
gns: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Holger Freyther 2010-02-28 13:03:09 PST
In bug #33180 PluginViewQt.cpp got extended to support private browsing for plugins. The bug equally applies to Gtk+. We are already sharing the PluginPackage, we should look into sharing the PluginView as well but it is a bit more difficult.
Comment 1 Holger Freyther 2010-02-28 13:11:54 PST
Created attachment 49702 [details]
Add private browsing for plugins to PluginViewGtk.cpp

This is the same code from PluginViewQt.cpp applied to PluginViewGtk.cpp
Comment 2 Gustavo Noronha (kov) 2010-03-01 14:37:21 PST
Comment on attachment 49702 [details]
Add private browsing for plugins to PluginViewGtk.cpp

Looks good to me.
Comment 3 Holger Freyther 2010-03-02 02:04:24 PST
Landed in r55405.